<?php

namespace App\Models;

class DivisiModel
{

  public function __construct(
    private int $id,
    private string $namaDivisi,
    private string $deskripsi,
    private string $createdAt,
    private ?string $updatedAt,
  ) {}

  // Getter
  public function getId(): int
  {
    return $this->id;
  }

  public function getNamaDivisi(): string
  {
    return $this->namaDivisi;
  }

  public function getDeskripsi(): string
  {
    return $this->deskripsi;
  }

  public function getCreatedAt(): string
  {
    return $this->createdAt;
  }

  public function getUpdatedAt(): ?string
  {
    return $this->updatedAt;
  }
}
